Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.commands
Class DoneWithSelection

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
          org.jasig.portal.channels.groupsmanager.commands.DoneWithSelection

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerCommand

    public class DoneWithSelection

extends GroupsManagerCommand

A select cycle could be started in Servant mode or it could be started by the AddMembers command. The AddMembers command sets the id of the parent group (ie. the group to which child members will be added). Control is then passed to a selection view where the child group members will be selected for addition. When the selection has been completed by the user, the DoneWithSelection command will be invoked where the selected members are added to a collection of IAuthorizationPrincipal. If a parent group had been set the children groupmembers are actually added to the parent group. If in Servant mode, the collection is simply returned to the master channel. Alternatively, the CancelSelection command have been invoked by the user to cancel the selection process and reset the mode and view control parameters.

Version:
  $Revision: 1.24 $
Author:
  Don Fracapane

Field Summary

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`DoneWithSelection()` Creates new AddMember

Method Summary
`private void` | `addChildrenToGroup(java.util.Vector gmCollection, CGroupsManagerSessionData sessionData, org.w3c.dom.Element parentElem, org.w3c.dom.Document model)` This section adds the selected members to an IEntityGroup.
`private void` | `addGroupMemberToCollection(java.util.Vector gmCollection, org.w3c.dom.NodeList nList)` This method processes the xml document looking for selected groupmembers.
`void` | `execute(CGroupsManagerSessionData sessionData)` This is the public method

Methods inherited from class org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
`clearSelected, deletePermissions, getCommand, getCommandArg, getParentId, getUserID, getXmlDoc, hasParentId, setCommandArg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoneWithSelection

    public DoneWithSelection()

  Creates new AddMember

Method Detail

### execute

    public void execute(CGroupsManagerSessionData sessionData)
                 throws java.lang.Exception

  This is the public method

  Specified by:
    `execute` in interface `IGroupsManagerCommand`
  Overrides:
    `execute` in class `GroupsManagerCommand`
  Parameters:
    `sessionData` -
  Throws:
    `java.lang.Exception`

### addGroupMemberToCollection

    private void addGroupMemberToCollection(java.util.Vector gmCollection,
                                            org.w3c.dom.NodeList nList)
                                     throws java.lang.Exception

  This method processes the xml document looking for selected groupmembers. It then creates an instance of IGroupMember for each selected member and passes the collection back.

  Parameters:
    `gmCollection` -
    `nList` -
  Throws:
    `java.lang.Exception`

### addChildrenToGroup

    private void addChildrenToGroup(java.util.Vector gmCollection,
                                    CGroupsManagerSessionData sessionData,
                                    org.w3c.dom.Element parentElem,
                                    org.w3c.dom.Document model)
                             throws java.lang.Exception

  This section adds the selected members to an IEntityGroup.

  Parameters:
    `gmCollection` -
    `sessionData` -
    `parentElem` -
    `model` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD